API ReferenceMetadata
Metadata List
Retrieve a list of metadata definitions.
Authorization
oauth2 metadata:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: metadata:read
Query Parameters
name?string
Name
object?array<>
Object
attribution- Attributioncustomer- Customerdispute- Disputeline- Line Itemorder- Orderproduct- Productvariant- Variantblog- Blogpage- Page
metadata_key?string
Metadata Key
type?array<>
Type
text- Textinteger- Integerdecimal- Decimalrich_text- Rich Textmulti_text- Multi Textfile- Fileboolean- Boolean
enable_export?boolean
Export
enable_filter?boolean
Search Filter
cursor?string
The pagination cursor value.
Header Parameters
X-29next-API-Version*"2024-04-01"
Default
"2024-04-01"Value in
- "2024-04-01"
Response Body
application/json
curl -X GET "https://example.com/metadata/" \ -H "X-29next-API-Version: 2024-04-01"{ "next": "http://example.com", "previous": "http://example.com", "results": [ { "created_at": "2019-08-24T14:15:22Z", "enable_export": true, "enable_filter": true, "id": 0, "key": "string", "name": "string", "object": "attribution", "type": "text", "updated_at": "2019-08-24T14:15:22Z", "validations": [ { "type": "maximum_length", "value": "string" } ] } ]}